TEXCUBELOD(3Cg)

NAME
texCUBElod - cube texture lookup with specified level of detail.

SYNOPSIS
  float4 texCUBElod(samplerCUBE samp, float4 s)

  int4 texCUBElod(isamplerCUBE samp, float4 s)

  unsigned int4 texCUBElod(usamplerCUBE samp, float4 s)

PARAMETERS

samp
    Sampler to lookup.

s.xyz
    Coordinates to perform the lookup.

s.w Level of detail.

DESCRIPTION
Performs a texture lookup with a specified level of detail in sampler samp using coordinates s.

PROFILE SUPPORT
texCUBElod is supported in fragment profiles starting with fp40 and in vertex profiles starting with vp40. Variants with integer samplers are only supported in gp4 and newer profiles.

SEE ALSO
texCUBEbias